library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
 
entity counter16 is port(
	CLK      : in std_logic;
	nRST     : in std_logic;
	Q			: out unsigned(7 downto 0));
end counter16;

architecture archCounter16 of counter16 is 

signal TEMP: unsigned(Q'range);

begin
	process(CLK, nRST) begin
		if (nRST='0') then 
			TEMP <= (others=>'0');
		elsif (CLK'event and CLK='1') then 
			TEMP <= TEMP + 1;
		end if;
	end process;
	
	Q<= TEMP;
end archCounter16;