
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;

ENTITY tb_counter16 IS
END tb_counter16;

ARCHITECTURE behavior OF tb_counter16 IS

-- Component Declaration for the Unit Under Test (UUT)
COMPONENT counter16 is 
port(
	CLK      : in std_logic;
	nRST     : in std_logic;
	Q			: out unsigned(7 downto 0)
   );
END COMPONENT;

   --Inputs
   signal sCLK    : std_logic := '0';
   signal snRST   : std_logic := '1';
   signal sQ      : unsigned(7 downto 0);
   
   -- Clock period definitions
   constant clk_period : time := 20 ns;

BEGIN

	-- Instantiate the Unit Under Test (UUT)
   uut : counter16
   port map(
      CLK      => sCLK,
      nRST     => snRST,
      Q			=> sQ
      );

   -- Clock process definitions
   clk_process : process
   begin
		sCLK <= '0';
		wait for clk_period/2;
		sCLK <= '1';
		wait for clk_period/2;
   end process;


   -- Stimulus process
   stim_proc: process
   begin
         snRST <= '0';
      wait for clk_period*1;
         snRST <= '1';
      wait for clk_period*1;

  
      wait;
   end process;

END;
